Membership
/- View chapter roster
Gets all of the chapters in the system.
Creates a new chapter record that does not already exist.
Execute Batch Operations
Change chapter committee terms
Create a chapter committee membership
Delete a chapter committee membership
Update a chapter committee membership
Creates a new contact on behalf of a chapter
Get chapter member contact info
Update chapter member contact info
Generates an application for a contact or organization
Generates an order from a membership application
Update chapter member membership info
Returns a list of chapters for a given membership package
Returns a list of chapters for a given membership package
Searches for the nearest chapters to the latitude and longitude supplied
Get eligible application processes
Get portal permissions
Runs a saved query on behalf of a chapter
Searches for chapters using predefined parameters
Returns a chapter from the system by its ID.
Returns a chapter from the system by its ID.
Partially updates a chapter with the specified ID.
Updates a chapter with the specified ID.
View chapter roster
Allows for a portal user to view the roster
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/roster/{chapterId}
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/chapters/{tenantId}/roster/{chapterId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/roster/{chapterId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "Items": [ {} ], "LastEvaluatedKey": "string" }